import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { CookieJar } from 'tough-cookie';
import * as API from './types';
export default class TikTokAPI {
    readonly config: API.TikTokAPIConfig;
    readonly cookieJar: CookieJar;
    readonly request: AxiosInstance;
    constructor(reqParams: API.StaticRequestParams, apiConfig: API.TikTokAPIConfig, requestConfig?: AxiosRequestConfig);
    loginWithEmail: (email: string, password: string) => Promise<import("../node_modules/axios/index").AxiosResponse<API.LoginResponse>>;
    loginWithUsername: (username: string, password: string) => Promise<import("../node_modules/axios/index").AxiosResponse<API.LoginResponse>>;
    login: (params: API.LoginRequest) => Promise<import("../node_modules/axios/index").AxiosResponse<API.LoginResponse>>;
    getUser: (userId: string) => import("../node_modules/axios/index").AxiosPromise<API.UserProfileResponse | API.BaseResponseData>;
    searchUsers: (params: API.UserSearchRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.UserSearchResponse>;
    getQRCode: (userId: string, schemaType?: number) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.QRCodeResponse>;
    listPosts: (params: API.ListPostsRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListPostsResponse>;
    listFollowers: (params: API.ListFollowersRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListFollowersResponse>;
    listFollowing: (params: API.ListFollowingRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListFollowingResponse>;
    follow: (userId: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.FollowResponse>;
    unfollow: (userId: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.FollowResponse>;
    listReceivedFollowRequests: (params: API.ListReceivedFollowRequestsRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListReceivedFollowRequestsResponse>;
    approveFollowRequest: (userId: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ApproveFollowResponse>;
    rejectFollowRequest: (userId: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.RejectFollowResponse>;
    likePost: (postId: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.LikePostResponse>;
    unlikePost: (postId: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.LikePostResponse>;
    listComments: (params: API.ListCommentsRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListCommentsResponse>;
    postComment: (postId: string, text: string, tags?: API.Tag[]) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.PostCommentResponse>;
    listCategories: (params?: API.ListCategoriesRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListCategoriesResponse>;
    searchHashtags: (params: API.SearchRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.HashtagSearchResponse>;
    listPostsInHashtag: (params: API.ListPostsInHashtagRequest) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListPostsInHashtagResponse>;
    listForYouFeed: (params?: API.ListFeedRequest | undefined) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListForYouFeedResponse>;
    listFollowingFeed: (params?: API.ListFeedRequest | undefined) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.ListFeedResponse>;
    joinLiveStream: (id: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.JoinLiveStreamResponse>;
    leaveLiveStream: (id: string) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData>;
    canStartLiveStream: () => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.CanStartLiveStreamResponse>;
    startLiveStream: (title: string, contactsAuthorized?: number) => Promise<import("../node_modules/axios/index").AxiosResponse<API.BaseResponseData | API.CreateLiveStreamRoomResponse>>;
    endLiveStream: (roomId: string, streamId: string) => import("../node_modules/axios/index").AxiosPromise<API.UpdateLiveStreamStatusResponse>;
    createLiveStreamRoom: (title: string, contactsAuthorized?: number) => import("../node_modules/axios/index").AxiosPromise<API.BaseResponseData | API.CreateLiveStreamRoomResponse>;
    updateLiveStreamStatus: (params: API.UpdateLiveStreamStatusRequest) => import("../node_modules/axios/index").AxiosPromise<API.UpdateLiveStreamStatusResponse>;
    transformResponse: (data: any) => any;
    private signRequest;
}
export declare const getRequestParams: (requestParams: API.RequiredUserDefinedRequestParams) => API.StaticRequestParams;
export * from './types';
